需要资源：服务器、数据库（mysql持久化存储、redis数据缓存）、cdn（用于unity场景资源分发）、oss（用于图片、视频存储）、域名

# 一、账号系统
* 1、账号登陆
* 2、账户角色包括：管理员、布展者。管理员可以管理所有布展者及其发布的展览
#
# 二、展会管理
* 1、布展者可以创建、删除、编辑展览。布展者可以隐藏/显示已发布的展览
* 2、布展者可以控制是否显示开幕式、演播厅、展厅
* 3、布展者创建一个展览后，可以对此展览的所有展位进行编辑，可以上传图片（jpg、png）、视频（MP4）
* 4、布展者编辑已有展览，可对每个展位进行编辑
* 5、记录每个展品点赞、送花、访客留言
#
# 三、管理html页面
* 1、登陆页
* 2、验证码邮件
* 3、管理员页面，布展者列表，邀请布展者
* 4、布展者页面，展览列表
* 5、布展者页面，展览编辑页
#
# 四、服务器数据库数据结构
* 1、用户
```json
{
    "email":"xsxhl@live.com",
    "role":1,
    "display_name":"xxx博物馆"
}
```
* 2、展览
```json
{
    "exhibition_template":"",
    "title":"主标题",
    "subtitle":"副标题",
    "beginTime":1234567,
    "endTime":1234567,
    "likes":123,
    "flowers":123,
    "thumb":"http://xxxxxxx",
    "hidden":true
}
```
* 3、作者
  ```json
  {
    "name":"张三",
    "introduction":"1995年出生于xxx"
  }
  ```
* 3、作品
```json
{
    "id":"12345",
    "w":1,
    "h":1,
    "likes":123,
    "flowers":123,
    "thumb":"http://xxxxxxx"
}
```
* 3、展位
```json
{
    "number":1,
    "w":1,
    "h":1,
    "offset_x":0.1,
    "offset_y":0.1,
    "hidden":true,
    "likes":123,
    "flowers":123,
    "thumb":"http://xxxxxxx"
}
```
* 4、展品购买意向留言
```json
{
    "name":"张三",
    "phone":"123",
    "email":"xsxhl@live.com",
    "price":123
}
```
# 五、服务器-unity数据
* 1、打开unity页面时，服务器传递参数 exhibition_id(展馆id，用以unity后续与服务器交互)
* 2、获取展馆信息
### request 
### method: POST
```json
{
    "exhibition_id":1,
}
```
### response
```json
{
    "exhibition_id":1,
    "rooms":[
        {
            "index":1,
            "exhibits":[
                {
                    "number":1,
                    "w":1,
                    "h":1,
                    "offsetX":0.1,
                    "offsetY":0.1,
                    "thumb":"http://xxxxxxx"
                }
            ]
        }
    ]
}
```
# 六、前端接口(暂定)
* 1、获取总览列表
```json
[
    {
        "type":1,
        "name":"全部",
        "exhibitions":[
            {
                "id":"12345",
                "title":"主标题",
                "subtitle":"副标题",
                "beginTime":1234567,
                "endTime":1234567,
                "likes":123,
                "thumb":"http://xxxxxxx"
            }
        ]
    }
]
```

* 2、获取详细列表
```json
{
    "type":1,
    "name":"全部",
    "exhibitions":[
        {
            "id":"12345",
            "title":"主标题",
            "subtitle":"副标题",
            "beginTime":1234567,
            "endTime":1234567,
            "likes":123,
            "thumb":"http://xxxxxxx"
        }
    ]
}
```

* 3、展品详情页
```json
{
    "id":"123456",
    "name":"《Three masks》",
    "author":{
        "name":"张三",
        "introduction":"1995年出生于xxx"
    },
    "audio":"http://xxxxxx",
    "introduction":"1234567",
    "details":[
        {
            "media":"http://xxxxxx",
            "name":"《Three masks》",
            "size":"120cm x 60cm"
        }
    ],
    "likes":123
}
```
* 4、点赞
* 5、送花
* 6、购买表单